{
	saved_Spawned [0]
	saved_firstTime [1]

	Init[ ()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
	
			SetCrouching();
			PlayAnimation(26);
			if( Level.saved_Wave1 = 1 )
			{
				TakeGun();
			}
		}
	}]

	Respawn[ ()
	{
		saved_Spawned = saved_Spawned + 1;

		if( Level.saved_Wave1 = 1 )
		{
			if( saved_Spawned < 1 )
			{
				SetDead(false);
				ShowEntity( true );
				SetHealth(512);
				SetCrouching();
				PlayAnimation(26);
				TakeGun();
			}
		}
	}]

	TakeGun[ ()
	{
		if( GetID() = "wave1g1" ){ SetState_MG42( Level.GetEntity("gun1") ); }
		if( GetID() = "wave1g2" ){ SetState_MG42( Level.GetEntity("gun2") ); }
	}]

	DelayReached[ (dy)
	{
		if( dy=10 )
		{
			Respawn();
		}
	}]

	OnDecay[ ()
	{
		Delay( Random(1,3), 10 );
	}]
}